Cart

Handles shopping carts, including adding, removing, and updating items, as well as calculating totals.

Cart

Cart provides detailed information about selected items, including their name, quantity, price breakup, applied discounts, and any relevant attributes like size, product image, or tags. It also displays availability status, estimated shipping time, and seller information. This helps customers track their products throughout the order journey;

Operations
GET
/service/application/cart/v1.0/detail
# Get a cart
HEAD
/service/application/cart/v1.0/detail
# Get last modified timestamp of a cart
POST
/service/application/cart/v1.0/detail
# Add items to a cart
PUT
/service/application/cart/v1.0/detail
# Update cart items
PATCH
/service/application/cart/v1.0/detail
# Update store credits into cart and their items
PUT
/service/application/cart/v1.0/cart_archive
# Delete a cart
GET
/service/application/cart/v1.0/basic
# Get a cart items count
PUT
/service/application/cart/v1.0/meta
# Update cart metadata
POST
/service/application/cart/v1.0/share-cart
# Create share cart link
GET
/service/application/cart/v1.0/share-cart/{token}
# List shared cart items
POST
/service/application/cart/v1.0/share-cart/{token}/{action}
# Update with shared items
GET

Get a cart

Get details of a cart linked to a specific customer using a unique cart ID. It offers an overview of the items, quantities, prices, and other relevant information associated with the cart.
Parameters
idquery
string
The unique identifier of the cart.
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
cquery
boolean
Select `true` to retrieve the cod charges in breakup of cart items.
assign_card_idquery
integer
Token of user's debit or credit card.
area_codequery
string
Customer servicable area_code.
buy_nowquery
boolean
Select `true` to set/initialize buy now cart.
order_typequery
string
The order type of shipment HomeDelivery - If the customer wants the order home-delivered PickAtStore - If the customer wants the handover of an order at the store itself.
Enum
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
GET
/service/application/cart/v1.0/detail
Loading...
Response
200
Success. Returns a Cart object. Check the example shown below or refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
id:
"value"
i:
false
b:
false
c:
false
assign_card_id:
1
area_code:
"value"
buy_now:
false
order_type:
"value"
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...
HEAD

Get last modified timestamp of a cart

Retrieve the last modified timestamp of the cart using unique cart ID. It indicates the most recent update made to the cart's content or properties.
Parameters
idquery
string
The unique identifier of the cart.
HEAD
/service/application/cart/v1.0/detail
Loading...
Response
200
Success. Receives last modifed timestamp in the header.
Header Items
Last-Modified
string
| date
Last-Modified Action on Cart
Examples
Parameters
id:
"value"
Response
Loading...
POST

Add items to a cart

Add product items to the customer's existing shopping cart. If there is no existing cart associated with the customer, it creates a new one and adds the items to it.
Parameters
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
include_cart_calculationquery
boolean
Set to `false` to skip recalculating and fetching the updated cart after the edit. Defaults to `true`.
area_codequery
string
Customer servicable area_code.
buy_nowquery
boolean
Select `true` to set/initialize buy now cart.
idquery
string
The unique identifier of the cart.
order_typequery
string
The order type of shipment HomeDelivery - If the customer wants the order home-delivered PickAtStore - If the customer wants the handover of an order at the store itself.
Enum
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
items
array of object (AddProductCart)
List of items detail which need to be added to cart like item id, item size, and item quantity.
Show
new_cart
boolean
Field to create to new cart whille user adds item to cart.
POST
/service/application/cart/v1.0/detail
Loading...
Response
200
Success. Returns a cart object as shown below. Refer `AddCartDetailResult` for more details.
Hide
Add cart detail API schema which specifies cart data, response message and success flag.
message
string
Message of add to cart API response.
partial
boolean
When adding multiple items check if all added. True if only few are added.
cart
object (CartDetailResult)
Show
success
boolean
True if all items are added successfully. False if partially added or not added.
result
object
Contains article related result info
items
array of object (CartItemInfo)
List of items that needs to be added in cart.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Update cart items

Update cart. Customers can modify added product attributes such as quantity and size, as well as remove items from the cart.
Parameters
idquery
string
The unique identifier of the cart.
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
include_cart_calculationquery
boolean
Set to `false` to skip recalculating and fetching the updated cart after the edit. Defaults to `true`.
area_codequery
string
Customer servicable area_code.
buy_nowquery
boolean
Select `true` to set/initialize buy now cart.
cart_typequery
string
The type of cart.
order_typequery
string
The order type of shipment HomeDelivery - If the customer wants the order home-delivered PickAtStore - If the customer wants the handover of an order at the store itself.
Enum
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
items
array of object (UpdateProductCart)
List items data that needs to be updated in cart.
Show
free_gift_items
array of object (FreeGiftItemCreation)
List of free gift items with updated sizes.
Show
operation
string
Required
Field to determine if item to be removed from cart or it needs to be updated.
Enum
free_gift_items_operation
string
Field to determine if free gift item to be removed from cart or it needs to be added.
Enum
PUT
/service/application/cart/v1.0/detail
Loading...
Response
200
Success. Updates and returns a cart object as shown below. Refer `UpdateCartDetailResult` for more details.
Hide
Update cart detail response schema denotes cart data and message of the update cart API response.
message
string
Message of update cart API response.
cart
object (CartDetailResult)
Show
success
boolean
True if all items are added successfully. False if partially added or not added.
result
object
Contains article related result info
items
array of object (CartItemInfo)
List of items that needs to be updated in cart.
Show
Response
Loading...
PATCH

Update store credits into cart and their items

Update cart. Customers can adjust the cart breakup by applying or removing store credits as needed.
Parameters
idquery
string
The unique identifier of the cart.
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
buy_nowquery
boolean
Select `true` to set/initialize buy now cart.
cart_typequery
string
The type of cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
store_credit
boolean
Required
Field to determine if store credits needs to apply on cart or not.
PATCH
/service/application/cart/v1.0/detail
Loading...
Response
200
Success. Updates and returns a cart object as shown below. Refer `UpdateCartDetailResult` for more details.
Hide
Update cart detail response schema denotes cart data and message of the update cart API response.
message
string
Message of update cart API response.
cart
object (CartDetailResult)
Show
success
boolean
True if all items are added successfully. False if partially added or not added.
result
object
Contains article related result info
items
array of object (CartItemInfo)
List of items that needs to be updated in cart.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
PUT

Delete a cart

Delete all items from the user's cart and resets it to its initial state, providing a clean slate for new selections.
Parameters
idquery
string
The unique identifier of the cart.
PUT
/service/application/cart/v1.0/cart_archive
Loading...
Response
200
Success. Returns whether the cart has been deleted or not.
Hide
Delete cart response which includes message and success flag.
message
string
Message for delete cart response.
success
boolean
True if cart is archived successfully. False if not archived.
Examples
Parameters
id:
"value"
Response
Loading...
GET

Get a cart items count

Get total count of items currently present in the customer's cart.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Boolean value to get buy_now cart.
GET
/service/application/cart/v1.0/basic
Loading...
Response
200
Success. Returns the total count of items in a user's cart.
Hide
Result schema which defines how many total number of items are in cart.
user_cart_items_count
integer
| int32
Item count present in cart.
Examples
Parameters
id:
"value"
buy_now:
false
Response
Loading...
PUT

Update cart metadata

Update metadata associated with a cart, which includes customer preferences, delivery instructions, or any special requirements related to the cart items.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Whether to get buy_now cart.
Request body
delivery_slots
object
Delivery slots details includes article level time slot when the shipment can be delivered.
gift_details
object (ArticleGiftDetail)
Show
pick_up_customer_details
object
Customer contact details for customer pickup at store.
alternate_pickup_person
object (AlternatePickupPerson)
Show
checkout_mode
string
Checkout mode of user cart.
comment
string
Comment message to be added in user cart.
gstin
string
GSTIN number to be added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
custom_cart_meta
object
Custom cart meta json to be added in order meta which can be further received in cart API response and order meta in order detail API or webhook.
PUT
/service/application/cart/v1.0/meta
Loading...
Response
200
400
Returns a message indicating the success of cart meta updation as shown below.
Hide
Cart meta response schema.
message
string
Detailed message.
is_valid
boolean
Whether added meta was vaild.
Examples
Parameters
id:
"value"
buy_now:
false
body:
body
Response
Loading...
GET

List shared cart items

Get cart items from the shared cart link based on unique token.
Parameters
tokenpath
string
Required
Token of the shared short link.
GET
/service/application/cart/v1.0/share-cart/{token}
Loading...
Response
200
404
Success. Returns a Cart object as per the valid token. Refer `SharedCartResult` for more details.
Hide
Shared cart response schema which included error or cart data.
error
string
Error details if any error occurs which includes type of error, error code and error message.
cart
object (SharedCart)
Show
Examples
Parameters
token:
"value"
Response
Loading...
POST

Update with shared items

Merge or replace shared cart items with existing cart.
Parameters
tokenpath
string
Required
Token of the shared short link.
actionpath
string
Required
Operation to perform on the existing cart merge or replace.
Enum
POST
/service/application/cart/v1.0/share-cart/{token}/{action}
Loading...
Response
200
Success. Returns a merged or replaced cart as per the valid token. Refer `SharedCartResult` for more details.
Hide
Shared cart response schema which included error or cart data.
error
string
Error details if any error occurs which includes type of error, error code and error message.
cart
object (SharedCart)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...

Checkout

Checkout refers to the final stage of the purchasing process where the customer completes their transaction by paying for the selected items and providing necessary shipping and payment information. During checkout, users review their cart contents, enter billing and shipping addresses, choose payment methods, and confirm their order. It's the pivotal moment when the transaction is finalized, and the goods are prepared for delivery to the customer's designated address.

Operations
POST
/service/application/cart/v2.0/checkout
# Checkout cart
POST

Checkout cart

The checkout cart initiates the order creation process based on the items in the user's cart, their selected address, and chosen payment methods. It also supports multiple payment method options and revalidates the cart details to ensure a secure and seamless order placement.
Parameters
buy_nowquery
boolean
This indicates the type of cart to checkout.
cart_typequery
string
The type of cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
x-location-detail
string
Location details for the cart checkout
x-currency-code
string
Currency code for transactions.
Default Value : INR
Request body
custom_meta
array of object (CartCheckoutCustomMeta)
Custom meta data to be added in order.
Show
customer_details
object (CustomerDetails)
Show
merchant_code
string
Merchant code of the payment mode selected to do the payment.
cart_id
string
Cart id of the user cart.
id
string
Nullable
Cart id of the user cart.
payment_auto_confirm
boolean
Payment auto confirm flag if payment need not to be collected from user.
payment_methods
array of object (PaymentMethod)
Required
Payment methods list used to make the payment.
Show
payment_mode
string
Required
Payment mode of the payment selected to do the payment.
aggregator
string
Aggregator of payment mode to do the payment.
address_id
string
Address id of the user where the order to be delivered.
callback_url
string
Nullable
Callback url after payment received/failed.
Default Value : null
delivery_address
object
Delivery address data which includes customer address, customer phone, customer email, customer pincode, customer landmark and customer name.
staff
object (StaffCheckout)
Show
order_type
string
Order type of the order being placed like pickAtStore or HomeDelivery.
Enum
ordering_store
integer
| int32
Nullable
Ordering store id of the store from which the order is getting placed.
extra_meta
object
Extra meta to be added while checkout in order.
payment_identifier
string
Nullable
Payment identifier of the payment mode selected to do the payment.
billing_address
object
Billing address json which includes customer address, customer phone, customer email, customer pincode, customer landmark and customer name.
payment_params
object
Nullable
Payment params which includes payment identifier and merchant code.
billing_address_id
string
Billing address id selected by user on which shipment bill to be generated.
meta
object
Meta data sent while checkout v2.
iin
string
Issuer Identification Number' number of card if payment mode is card to do the payment.
network
string
Network of card if payment mode is card to do the payment.
type
string
Type of cart if payment mode is card to do the payment.
card_id
string
Saved card id if payment mode is card to do the payment.
success_callback_url
string
Nullable
Success callback url to be redirected after payment received
failure_callback_url
string
Nullable
Failure callback url to be redirected after payment failed
order_tags
array of object (OrderTag)
Order tags used to identify specific type of order which is tagged using order tags
Show
POST
/service/application/cart/v2.0/checkout
Loading...
Response
200
400
Success. Returns the status of cart checkout. Refer `CartCheckoutResultSchema` for more details.
Hide
Checkout cart detail response schema includes cart id, delivery promise, items, comment, coupon text etc.
payment_confirm_url
string
Payment confirm url used to redirect after payment is confirmed.
app_intercept_url
string
App intercept url which is used to redirect on app after payment in confirmed/failed.
success
boolean
Success flag of cart checkout API response.
callback_url
string
Callback url to be redirected after payment received/failed.
message
string
Message of the cart checkout v2 API response.
data
object
Data of the user cart checkout includes cart data, address, user id, order type etc.
order_id
string
Order id generated after placing order.
cart
object (CheckCart)
Show
Examples
Parameters
buy_now:
false
cart_type:
"value"
body:
body
x-ordering-source:
"value"
x-ordering-source-type:
"value"
x-location-detail:
"value"
x-currency-code:
"value"
Response
Loading...

Coupon

Coupons are promotional tools offered by businesses to customers, providing discounts, incentives, or special offers on purchases. Their aim is to attract customers, increase sales, encourage repeat purchases, and promote customer loyalty. Various types of coupons include: X Percentage Value: Offers a discount based on a percentage of the total purchase value. Example: Get 15% off your entire order. X Amount Value: Provides a fixed discount amount regardless of the total purchase value. Example: Save Rs.20 on your purchase. Bundle Percentage Discount: Discounts applied when purchasing a specific combination or quantity of items. Example: Buy 2 shirts and get 20% off each. Bundle Amount Percentage Discount: Similar to bundle percentage discount, but the discount is applied to a specific amount spent. Example: Spend Rs.100 on shoes and receive 25% off your entire order. Buy X Items Get Y Items Free: Offers a certain number of items for free when a specified quantity is purchased. Example: Buy 2 pairs of socks and get 1 pair free. Buy X Items at Absolute Amount: Allows customers to purchase a set number of items at a fixed price. Example: Buy 3 t-shirts for Rs. 250.

Operations
GET
/service/application/cart/v1.0/coupon
# List available coupons
POST
/service/application/cart/v1.0/coupon
# Apply coupon
DEL
/service/application/cart/v1.0/coupon
# Remove coupon
GET
/service/application/cart/v1.0/bulk-price
# List bulk discounts
GET
/service/application/cart/v1.0/payment/validate/
# Validate applied coupon
GET

List available coupons

List all available coupons that customer can apply to their carts. It provides details about each coupon, including its code, discount amount, and applicable conditions.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Whether to get buy_now cart.
product_slugquery
string
Product slug to fetch the available coupons.
store_idquery
string
Unique identifier of a store.
GET
/service/application/cart/v1.0/coupon
Loading...
Response
200
Success. Returns a coupon object which has a list of all the eligible coupons. Refer `GetCouponResult` for more details.
Hide
Get coupon list response schema which page information and list of coupons.
page
object (PageCoupon)
Show
available_coupon_list
array of object (Coupon)
List of available coupon which can be applied on cart.
Show
Examples
Parameters
id:
"value"
buy_now:
false
product_slug:
"value"
store_id:
"value"
Response
Loading...
POST

Apply coupon

Apply a coupon code to the cart to trigger discounts on eligible items.
Parameters
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
pquery
boolean
Select `true` for getting a payment option in response.
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
This is boolean to get buy_now cart.
cart_typequery
string
The type of cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
coupon_code
string
Required
Coupon code to be applied.
POST
/service/application/cart/v1.0/coupon
Loading...
Response
201
Success. Returns coupons applied to the cart along with item details and price breakup. Refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
i:
false
b:
false
p:
false
id:
"value"
buy_now:
false
cart_type:
"value"
body:
body
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...
DEL

Remove coupon

Remove an applied coupon from the customer's cart, thereby removing the associated discount from the cart total.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Wheter to get buy_now cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
DEL
/service/application/cart/v1.0/coupon
Loading...
Response
200
Success. Returns coupons removed from the cart along with item details and price breakup. Refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
id:
"value"
buy_now:
false
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...
GET

List bulk discounts

List offer discounts with information about quantity and seller. One offer is marked with a "best" flag, indicating it as the best offer among the list.
Parameters
item_idquery
integer
The Item ID of the product.
article_idquery
string
Article ID.
uidquery
integer
UID of the product.
slugquery
string
A short, human-readable, URL-friendly identifier of a product.
GET
/service/application/cart/v1.0/bulk-price
Loading...
Response
200
Success. Returns a data object containing the seller details and available offers (if exists) on bulk products. Refer `BulkPriceResult` for more details.
Hide
Bulk price response schema details consists of offers from multiple seller.
data
array of object (BulkPriceOffer)
Actual data to be in response consist of offers from multiple seller.
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Validate applied coupon

Validate the applicability of a coupon code for the selected payment mode for the existing cart. This ensures the coupon's validity before proceeding with the payment process, enhancing user experience and preventing potential errors during transactions.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Whether to get buy_now cart.
address_idquery
string
ID allotted to an address.
payment_modequery
string
Payment mode selected by the customer.
payment_identifierquery
string
Identifier of payment like ICIC, PAYTM.
aggregator_namequery
string
Payment gateway identifier.
merchant_codequery
string
Identifier used by payment gateway for a given payment mode, e.g. NB_ICIC, PAYTM.
iinquery
string
Debit/Credit card prefix (first 6 digit).
networkquery
string
Credit/Debit card issuer, e.g. VISA, MASTERCARD, RUPAY.
typequery
string
Card type, e.g. Credit, Debit.
card_idquery
string
Saved card token reference id.
cart_typequery
string
Type of the cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
GET
/service/application/cart/v1.0/payment/validate/
Loading...
Response
200
Success. Returns a success message and the coupon validity. Refer `PaymentCouponValidate` for more details.
Hide
Payment mode validity details of the coupon which shows coupon is valid for the payment mode or not.
message
string
Payment mode valid message for coupon.
coupon_validity
object (CouponValidity)
Show
success
boolean
Success flag of coupon payment mode validity API response.
Examples
Parameters
id:
"value"
buy_now:
false
address_id:
"value"
payment_mode:
"value"
payment_identifier:
"value"
aggregator_name:
"value"
merchant_code:
"value"
iin:
"value"
network:
"value"
type:
"value"
card_id:
"value"
cart_type:
"value"
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...

Customer address

A customer's address refers to the address where the ordered product is to be delivered. It usually includes details such as the recipient's name, contact, street address, city, state or province, PIN code or ZIP code, and country. Each customer can have multiple addresses associated with them. Storing addresses includes validating the address based on the country and its unique identifiers like PIN code, ZIP code, or area code,

Operations
GET
/service/application/cart/v1.0/address
# Get a list of addresses for a customer
POST
/service/application/cart/v1.0/address
# Creates a new address for a customer
GET
/service/application/cart/v1.0/address/{id}
# Get details for a single customer address
PUT
/service/application/cart/v1.0/address/{id}
# Updates an existing customer address
DEL
/service/application/cart/v1.0/address/{id}
# Removes an address from a customer's address list
POST
/service/application/cart/v1.0/select-address
# Select customer address for order processing
GET

Get a list of addresses for a customer

List all addresses saved by the customer, simplifying the checkout process by offering pre-saved address options for delivery.
Parameters
cart_idquery
string
The unique identifier of the user cart.
buy_nowquery
boolean
Whether to get buy_now cart.
mobile_noquery
string
Mobile number of the customer.
checkout_modequery
string
Option to checkout for self or for others.
tagsquery
string
Tag given to an address, e.g. work, home, office, shop.
is_defaultquery
boolean
Select `true` to fetch the default address.
GET
/service/application/cart/v1.0/address
Loading...
Response
200
Success. Returns an Address object containing a list of address saved in the account. Refer `GetAddressesResult` for more details.
Hide
Fetch address response schema which includes pii masking flag and list of addresses.
pii_masking
boolean
Personally Identifiable Information masking flag to denote if the user data in address is masked or not.
address
array of object (Address)
Address description for address data.
Show
validation_config
object (ValidationConfig)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Creates a new address for a customer

Add a new address to their cart to save details such as name, email, contact information, and address.
Parameters
No Parameters
Request body
country_iso_code
string
Country iso code for address.
area
string
Area description for address.
phone
string
Phone number for address.
country_phone_code
string
Country phone code for address.
checkout_mode
string
Checkout mode of address on which address to be used for which checkout mode of cart.
address
string
Address description for address data.
area_code_slug
string
Area code slug for address. example pincode is slug for India.
geo_location
object (GeoLocation)
Show
id
string
Id of the address.
_custom_json
object
Custom json of the address.
city
string
City of the address.
sector
string
Sector of the address.
state_code
string
State code for address.
created_by_user_id
string
Created by user id of address.
landmark
string
Landmark of address.
user_id
string
User id of address for which address is created.
name
string
Name of person in address data to whom it belongs to.
google_map_point
object
Google map point of the address.
is_active
boolean
States whether address is active or not.
tags
array of string
Tags of address from which it can be identified.
country_code
string
Country code of address.
address_type
string
Address type of address.
country
string
Country of address.
is_default_address
boolean
Default address flag if no address selected then this should be the default address selected.
area_code
string
Area code of the address.
email
string
Email address for address data.
state
string
State of the address.
meta
object
Metadata of the address.
POST
/service/application/cart/v1.0/address
Loading...
Response
200
422
Success. Returns the address ID, a flag whether the address is set as default, and a success message. Refer `SaveAddressResult` for more details.
Hide
Save address response details, which includes address id, success flag and default address flag.
id
string
Id of the address.
success
boolean
Success flag of save address Result.
is_default_address
boolean
Default address flag if no address selected then this should be the default address selected.
Examples
Parameters
Parameters are not required.
Response
Loading...
GET

Get details for a single customer address

Get a specific customer address stored in the system by providing its unique identifier. This API provides detailed information about the address, including the recipient's name, address, city, postal code, and other relevant details.
Parameters
idpath
string
Required
ID allotted to the selected address.
cart_idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
This is boolean to get buy_now cart.
mobile_noquery
string
Mobile number of the customer.
checkout_modequery
string
Option to checkout for self or for others.
tagsquery
string
Tag given to an address, e.g. work, home, office, shop.
is_defaultquery
boolean
This is a boolean value. Select `true` to fetch the default address.
GET
/service/application/cart/v1.0/address/{id}
Loading...
Response
200
Success. Returns an Address object containing a list of address saved in the account. Refer `Address` for more details.
Hide
Address details, consists of pincode, phone, address id, country code, geo location, country, state, city, landmark, email etc.
country_iso_code
string
Country iso code for address.
area
string
Area description for address.
phone
string
Phone number for address.
country_phone_code
string
Country phone code for address.
checkout_mode
string
Checkout mode of address on which address to be used for which checkout mode of cart.
address
string
Address description for address data.
area_code_slug
string
Area code slug for address. example pincode is slug for India.
geo_location
object (GeoLocation)
Show
id
string
Id of the address.
_custom_json
object
Custom json of the address.
city
string
City of the address.
sector
string
Sector of the address.
state_code
string
State code for address.
created_by_user_id
string
Created by user id of address.
landmark
string
Landmark of address.
user_id
string
User id of address for which address is created.
name
string
Name of person in address data to whom it belongs to.
google_map_point
object
Google map point of the address.
is_active
boolean
States whether address is active or not.
tags
array of string
Tags of address from which it can be identified.
country_code
string
Country code of address.
address_type
string
Address type of address.
country
string
Country of address.
is_default_address
boolean
Default address flag if no address selected then this should be the default address selected.
area_code
string
Area code of the address.
email
string
Email address for address data.
state
string
State of the address.
meta
object
Metadata of the address.
Examples
Parameters
id:
"value"
cart_id:
"value"
buy_now:
false
mobile_no:
"value"
checkout_mode:
"value"
tags:
"value"
is_default:
false
Response
Loading...
PUT

Updates an existing customer address

Customer can modify the details of a previously saved address.
Parameters
idpath
string
Required
ID allotted to the selected address.
Request body
country_iso_code
string
Country iso code for address.
area
string
Area description for address.
phone
string
Phone number for address.
country_phone_code
string
Country phone code for address.
checkout_mode
string
Checkout mode of address on which address to be used for which checkout mode of cart.
address
string
Address description for address data.
area_code_slug
string
Area code slug for address. example pincode is slug for India.
geo_location
object (GeoLocation)
Show
id
string
Id of the address.
_custom_json
object
Custom json of the address.
city
string
City of the address.
sector
string
Sector of the address.
state_code
string
State code for address.
created_by_user_id
string
Created by user id of address.
landmark
string
Landmark of address.
user_id
string
User id of address for which address is created.
name
string
Name of person in address data to whom it belongs to.
google_map_point
object
Google map point of the address.
is_active
boolean
States whether address is active or not.
tags
array of string
Tags of address from which it can be identified.
country_code
string
Country code of address.
address_type
string
Address type of address.
country
string
Country of address.
is_default_address
boolean
Default address flag if no address selected then this should be the default address selected.
area_code
string
Area code of the address.
email
string
Email address for address data.
state
string
State of the address.
meta
object
Metadata of the address.
PUT
/service/application/cart/v1.0/address/{id}
Loading...
Response
201
Success. Returns the address ID and a message indicating a successful address updation.
Hide
Update address response details, includes address id, updated flag and success flag.
is_updated
boolean
Updated flag for update address operation if the address updated or not.
id
string
ID of an address.
success
boolean
Success flag of update address response.
is_default_address
boolean
Default address flag if no address selected then this should be the default address selected.
Examples
Parameters
id:
"value"
body:
body
Response
Loading...
DEL

Removes an address from a customer's address list

Delete an existing customer address from the system.
Parameters
idpath
string
Required
ID allotted to the selected address.
DEL
/service/application/cart/v1.0/address/{id}
Loading...
Response
201
Returns a Status object indicating the success or failure of address deletion.
Hide
Delete address response, includes address id and deleted flag.
id
string
Id of the address.
is_deleted
boolean
Deleted flag in delete address response states whether the address was deleted or not.
Examples
Parameters
id:
"value"
Response
Loading...
POST

Select customer address for order processing

Select an address from the saved customer addresses and validates the availability of items in the cart. Additionally, it verifies and updates the delivery promise based on the selected address.
Parameters
cart_idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Whether to get buy_now cart.
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
id
string
Address is selected by user on which shipment to be delivered.
billing_address_id
string
Billing address id selected by user on which shipment bill to be generated.
cart_id
string
Cart id of the user cart for which the select address operation performed.
POST
/service/application/cart/v1.0/select-address
Loading...
Response
201
400
Success. Returns a Cart object as shown below. Refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
cart_id:
"value"
buy_now:
false
i:
false
b:
false
body:
body
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...

Offer

Represents a unified construct for applying benefits to the cart, encompassing both system-driven promotions and user-applied coupons. Offers include absolute or percentage discounts, free gifts, bundles, BOGO deals, and more. Each offer is evaluated based on eligibility rules, usage limits, and cart state, and can be auto-applied or manually redeemed by users.

Operations
GET
/service/application/cart/v1.0/eligible-offer-products
# List eligible offer products
GET

List eligible offer products

List all products eligible for the given offer. Lookup can be done by offer_code (takes priority) or offer_id. At least one must be provided.
Parameters
offer_codequery
string
Offer code (takes priority over offer_id when both are provided)
offer_idquery
string
The unique identifier of the offer
pagequery
integer
Page number for pagination
Default Value : 1
page_sizequery
integer
Number of items per page
Default Value : 20
GET
/service/application/cart/v1.0/eligible-offer-products
Loading...
Response
200
400
Success. Returns list of eligible products with pagination
Hide
Response schema for eligible offer products list
success
boolean
Whether the request was successful
message
string
Response message
items
array of object (EligibleProductItem)
List of eligible products
Show
page
object (PageInfo)
Show
Examples
Parameters
offer_code:
"value"
offer_id:
"value"
page:
1
page_size:
1
Response
Loading...

Payment mode

Payment mode refers to the method used by customers to pay for their purchases during the checkout process. Payment modes typically include options such as credit card, debit card, digital wallets, bank transfer, cash on delivery (COD), and various online payment platforms like PayPal or Stripe. Customers select their preferred payment mode based on factors such as convenience, security, and availability. The chosen payment mode dictates how the transaction is processed and completed, ensuring a smooth and secure payment experience for the customer.

Operations
PUT
/service/application/cart/v1.0/payment
# Select payment mode
PUT

Select payment mode

Select a preferred payment mode from available options during the cart checkout process to securely and efficiently complete their transaction.
Parameters
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
Whether to get buy_now cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
id
string
Cart id of the user cart for which the update cart payment operation performed.
payment_identifier
string
Nullable
Payment identifier of the payment mode selected to do the payment.
address_id
string
Address id of the user address selected to deliver the shipment.
merchant_code
string
Merchant code of the payment mode selected to do the payment.
aggregator_name
string
Aggregator name of the payment gateway.
payment_mode
string
Payment mode of the payment selected to do the payment.
PUT
/service/application/cart/v1.0/payment
Loading...
Response
200
Success. Returns a Cart object as shown below. Refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
id:
"value"
buy_now:
false
body:
body
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...

Promotion offers

Promotion offers are special incentives or discounts provided to customers to encourage purchases or enhance their shopping experience. These offers can take various forms, such as percentage discounts, fixed-price discounts, free shipping, buy-one-get-one (BOGO) deals. Ladder pricing, also known as tiered pricing, refers to a pricing strategy where the price of a product varies depending on the quantity purchased or other specified criteria. With ladder pricing, customers are incentivized to buy more by offering discounts or reduced prices for larger quantities or higher purchase volumes. For example, a retailer might offer a discounted price per unit for purchasing 10 items instead of just one.

Operations
GET
/service/application/cart/v1.0/available-promotions
# List available promotion offers
GET
/service/application/cart/v1.0/available-ladder-prices
# List ladder offers
GET
/service/application/cart/v1.0/available-payment-offers
# Fetch available promotions payment offers
GET

List available promotion offers

List all promotional offers available for the items in the cart, including details such as offer text, unique promotion ID, and validity period.
Parameters
slugquery
string
A short, human-readable, URL-friendly identifier of a product.
page_sizequery
integer
Number of offers to be fetched to show.
promotion_groupquery
string
Type of promotion groups.
store_idquery
integer
Unique identifier of a store.
cart_typequery
string
The type of cart.
promotion_typequery
string
Type of promotion to be fetched
cart_idquery
string
The unique identifier of the user cart.
auto_applyquery
boolean
Indicates whether to filter promotions based on their auto_apply status.
GET
/service/application/cart/v1.0/available-promotions
Loading...
Response
200
400
Success. Returns an array containing the available offers (if exists) on product via promotions. Refer `PromotionOffersResult` for more details.
Hide
Promotion offer response detail which incluedes available promotions list.
available_promotions
array of object (PromotionOffer)
Available promotion details which are available on product which includes promotion data like promotion id, promotion name, buy rules, discount rules validity dates etc.
Show
Examples
Parameters
slug:
"value"
page_size:
1
promotion_group:
"value"
store_id:
1
cart_type:
"value"
promotion_type:
"value"
cart_id:
"value"
auto_apply:
false
Response
Loading...
GET

List ladder offers

Get ladder offers associated for the items in the cart. Ladder offers provide discounts or special pricing based on item quantity, allowing users to benefit from bulk purchases or promotional deals.
Parameters
slugquery
string
Required
A short, human-readable, URL-friendly identifier of a product.
store_idquery
string
Store uid of assigned store on PDP page. If not passed default first created ladder will be returned.
promotion_idquery
string
Get ladder information of given promotion id explicitely.
page_sizequery
integer
Number of offers to be fetched to show.
GET
/service/application/cart/v1.0/available-ladder-prices
Loading...
Response
200
400
Success. Returns a object containing the applicable ladder price offers (if exists) on product. Refer `PromotionOffersResult` for more details.
Hide
Ladder price offers details which includes list of available ladder promotion on product.
available_offers
array of object (LadderPriceOffer)
Available ladder promotions offers list.
Show
currency
object (CurrencyInfo)
Show
Examples
Parameters
slug:
"value"
store_id:
"value"
promotion_id:
"value"
page_size:
1
Response
Loading...
GET

Fetch available promotions payment offers

Use this API to get top 5 payment offers available for current product.
Parameters
idquery
string
Cart id of the user cart.
uidquery
integer
Cart uid of the user cart.
GET
/service/application/cart/v1.0/available-payment-offers
Loading...
Response
200
400
Success. Returns an array containing the available offers (if exists) on product via promotions. Refer `PromotionPaymentOffersResult` for more details.
Hide
Promotion payment offer response includes success flag and promotion list applicable.
success
boolean
Success flag of get payment offers API response.
promotions
array of object (PromotionPaymentOffer)
List of promotions data which are applicable on cart/product.
Show
Examples
Parameters
id:
"value"
uid:
1
Response
Loading...

Reward Points

Reward points are incentives given to customers as part of a loyalty program or promotional campaign. Users accumulate reward points through various activities, such as making purchases, referring friends, or engaging with the platform. Reward points can be redeemed for discounts.

Operations
POST
/service/application/cart/v1.0/redeem
# Use loyalty points
POST

Use loyalty points

Users can redeem their accumulated loyalty points and apply them to the items in their cart, thereby availing discounts on their current purchases.
Parameters
idquery
string
The unique identifier of the cart.
iquery
boolean
Select `true` to retrieve all the items added in the cart.
bquery
boolean
Select `true` to retrieve the price breakup of cart items.
buy_nowquery
boolean
This is boolean to get buy_now cart.
Headers
x-ordering-source
string
Ordering source header, to be used to identify source of order creation.
x-ordering-source-type
string
Ordering source type header, to be used to identify source type of order creation.
Request body
redeem_points
boolean
Required
Marks if engage points are to be redeemed for the given cart.
meta
object
Free-form metadata forwarded to the loyalty engine. Any field can be passed (e.g. points, redeem_rule_id). Engage reads from this dict when processing redemption.
POST
/service/application/cart/v1.0/redeem
Loading...
Response
200
Success. Returns a Cart object. Check the example shown below or refer `CartDetailResult` for more details.
Hide
Get cart detail API response schema which includes applied promo details, breakup values, buy_now, cart id, checkout mode, comment common config, coupon, coupon text, gstin etc.
cart_id
integer
| int32
Unique identifier of the user cart.
uid
string
Unique identifier of the user cart.
applied_promo_details
array of object (AppliedPromotion)
List of applied promotions data to cart which includes promotion id, promotion name, offer text, description, buy rules, discount rules and promotion type.
Show
checkout_mode
string
Checkout mode of user cart.
pan_no
string
Permanent Account Number of the user.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
id
string
Unique identifier of the user cart.
payment_selection_lock
object (PaymentSelectionLock)
Show
delivery_promise
object (ShipmentPromise)
Show
comment
string
Comment message to be added in user cart.
items
array of object (CartProductInfo)
Items data list in user cart that includes item id, item size, store id, available sizes and rest of the item related data.
Show
delivery_charge_info
string
Delivery charge in information message on shipment.
common_config
object (CartCommonConfig)
Show
coupon
object (CartDetailCoupon)
Show
message
string
Message of the get cart detail API response.
notification
object
Notification object which denotes notification data for user cart.
staff_user_id
string
Staff employee user id if cart is created by staff employee for the customer.
success
boolean
Success flag of get cart detail API response.
gstin
string
GSTIN added in user cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
coupon_text
string
Coupon text of coupon applied on cart.
buy_now
boolean
Buy now flag for the cart which denotes user is doing fast checkout for the cart using buy now.
pan_config
object
Pan card config states at what condition user should enter the pan card.
custom_cart_meta
object
Custom meta details added cart checkout API payload
loyalty_meta
object
Nullable
Free-form metadata stored against the loyalty redemption for this cart. Contains fields passed via the applyLoyaltyPoints meta input (e.g. points, redeem_rule_id) and is forwarded to the loyalty engine on each cart calculation.
alternate_pickup_person
object (AlternatePickupPerson)
Show
free_gift_selection_available
boolean
Determines if the cart has available promotion free gift items to choose on its added items
customer_id
string
Customer user id associated with cart
Examples
Parameters
id:
"value"
i:
false
b:
false
buy_now:
false
body:
body
x-ordering-source:
"value"
x-ordering-source-type:
"value"
Response
Loading...

Shipment

Shipment refers to the process of delivering purchased items from the seller's location to the customer’s designated address. Shipment details includes seller information, estimated delivery dates, item quantity, order type (Home Delivery or Digital) and other shipment meta information. Additionally, it provides details about the items included in the shipment.

Operations
GET
/service/application/cart/v1.0/shipment
# List shipments
GET

List shipments

Get shipment details for the items in a cart, specific to the selected address. Shipment details include delivery promises, seller information, item details, and other relevant information.
Parameters
pquery
boolean
Select `true` for getting a payment option in response.
idquery
string
The unique identifier of the cart.
buy_nowquery
boolean
This is boolean to get buy_now cart.
address_idquery
string
ID allotted to the selected address.
area_codequery
string
The PIN Code of the destination address, e.g. 400059.
order_typequery
string
The order type of shipment HomeDelivery - If the customer wants the order home-delivered PickAtStore - If the customer wants the handover of an order at the store itself. Digital - If the customer wants to buy digital voucher ( for jiogames ).
Enum
GET
/service/application/cart/v1.0/shipment
Loading...
Response
200
Success. Returns delivery promise along with shipment details and price breakup. Refer `CartShipmentsResult` for more details.
Hide
Cart shipment response schema for get shipments API.
delivery_charge_info
string
Delivery charge in information message on shipment.
checkout_mode
string
Checkout mode of cart.
message
string
Result message of get shipments API.
gstin
string
GSTIN number added in cart.
ship_to_gst_details
object (ShipToGstDetails)
Nullable
Show
restrict_checkout
boolean
Restrict checkout flag to restrict the checkout process.
last_modified
string
| date-time
Last modified timestamp of cart.
cart_id
integer
| int32
Cart id of the user cart.
is_valid
boolean
Cart validity flag determines if the response is valid or not.
breakup_values
object (CartBreakup)
Show
currency
object (CartCurrency)
Show
id
string
Cart id of the user cart.
shipments
array of object (ShipmentResult)
List of Shipments which includes shipment data like shipment items, shipment promise, Shipment type, shipment order type, shipment dp options etc.
Show
payment_selection_lock
object (PaymentSelectionLock)
Show
coupon_text
string
Coupon text of coupon applied on cart.
delivery_promise
object (ShipmentPromise)
Show
error
boolean
Error details if any error occurs which includes type of error, error code and error message.
comment
string
Comment message added in cart.
buy_now
boolean
Buy now flag of user cart.
uid
string
Cart id of the user cart.
custom_cart_meta
object
Custom meta details added cart checkout API payload.
customer_id
string
Customer user id associated with cart
Examples
Parameters
Parameters are not required.
Response
Loading...